# Role : rp_vhost

## Services fournis

Configuration d'un virtualhost sur un reverse proxy


## Variables

```yaml
rp_vhost_fqdn: mastodon.example.com
rp_vhost_cert: LE
rp_vhost_backend_proto: http
rp_vhost_backend_host: machine.domaine.local
rp_vhost_loglevel: info
rp_vhost_access_policy: OpenAccessPolicy
rp_vhost_indexing: Empty
rp_vhost_waf: "On"
rp_vhost_additional_conf: |
  # Règles apache spécifiques ici
rp_vhost_mds_exclusion: |
  # Règles modsecurity spécifiques ici
  SecRuleRemoveById 911100
  SecRuleRemoveById 949110
```

| Option                   | Valeur par défaut    | Description                                                                             |
|--------------------------|----------------------|-----------------------------------------------------------------------------------------|
| rp_vhost_fqdn            |                      | Nom de domaine pour lequel le service mastodon répond                                   |
| rp_vhost_backend_host    |                      | Le serveur de backend hébergeant le service                                             |
| rp_vhost_cert            | LE                   | Type de certificat (parmi ceux supportés par le reverse proxy)                          |
| rp_vhost_backend_proto   | http                 | Le protocole entre le reverse proxy et le backend (typiquement http ou https)           |
| rp_vhost_loglevel        | info                 | Le niveau de log souhaitéserveur de backend hébergeant le service                       |
| rp_vhost_access_policy   | InternalAccessPolicy | Modèle d'autorisation d'accès du reverse proxy                                          |
| rp_vhost_indexing        | BlockCrawlerIndexing | Stratégie du reverse proxy vis à vis des robots                                         |
| rp_vhost_waf             | "Off"                | Activation websecurity du reverse proxy                                                 |
| rp_vhost_additional_conf | ""                   | La configuration apache supplémentaire à placer dans le fichier 1_vhost_additional.conf |
| rp_vhost_mds_exclusion   | ""                   | La configuration modsecurity spécifique à placer dans le fichier 2_mds_exclusion.conf   |
